### Signal

# Ide DebuggerBreakpoint::reset

#### Declaration

    void
    reset (
      IdeDebuggerBreakpoint* self,
      gpointer user_data
    )

#### Description

The “reset” signal is emitted after the debugger has exited so that the breakpoint can reset any internal state. This allows the breakpoint to be propagated to the next debugger instance, allowing the user to move between debugger sessions without loosing state.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.32